#pragma once

#include "CoreMinimal.h"
#include "AnimationLayerCondition.h"
#include "GameplayTagContainer.h"
#include "ALCHasStateTag.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class UALCHasStateTag : public UAnimationLayerCondition
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere)
	FGameplayTag Tag;

public:
	UALCHasStateTag();
};

FORCEINLINE uint32 GetTypeHash(const UALCHasStateTag) { return 0; }
